package server;

/**
 * Represents an online user with all the information that is needed
 * by the server.
 */
class User {
	private String name;
	private byte[] address;
	private int port;

	private long timestamp;

	User(String name, byte[] address, int port) {
		this.name = name;
		this.address = address;
		this.port = port;
	}

	synchronized void setName(String name) {
		this.name = name;
		this.address = address;
		this.port = port;
	}

	String getName() {
		return name;
	}
	byte[] getAddress() {
		return address;
	}
	int getPort() {
		return port;
	}

	void setTimestamp() {
		timestamp = System.currentTimeMillis();
	}

	long getTimestamp() {
		return timestamp;
	}

	public String toString() {
		StringBuffer buffer = new StringBuffer();

		buffer.append(name);
		buffer.append("@");
		for (int i = 0; i < 4; i++) {
			buffer.append((int)address[i] & 0xff);
			if (i < 3)
				buffer.append(".");
		}
		buffer.append(":");
		buffer.append(port);

		return buffer.toString();
	}
}